package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.dto.WxMallBuildingFloorDto;
import com.iformall.domain.po.WxMallBuilding;
import com.iformall.domain.po.WxMallFloor;

public interface WxMallBuildingService {

    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageInfo<WxMallBuilding> listAsPage(WxMallBuilding record, Integer pageIndex, Integer pageSize);

    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxMallBuilding getById(Long id);

    /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxMallBuilding record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    ResultData getbuildinglist(String tenantId);

    ResultData getbuildingfloorlist(String tenantId);

    /**
     * 新增楼层楼座
     *
     * @param record
     */
    void addBuildingAndFloors(WxMallBuildingFloorDto record);

    /**
     * 保存楼层楼座面积
     *
     * @param record
     */
    void saveFloorArea(WxMallFloor record);

}
